List Reviewers
Request
GET
https://api.sourcecraft.tech/repos/{org_slug}/{repo_slug}/pulls/{pull_request_slug}/reviewers
Path parameters
|
Name |
Description |
|
org_slug |
Type: string Example: `` |
|
pull_request_slug |
Type: string Example: `` |
|
repo_slug |
Type: string Example: `` |
Query parameters
|
Name |
Description |
|
page_size |
Type: string<uint64> The maximum number of reviewers to return. The service may return fewer than Example: `` |
|
page_token |
Type: string A page token, received from a previous call. When paginating, all other parameters must match Example: `` |
|
pull_request_id |
Type: string Example: `` |
|
sort_by |
Type: string Ordering options: comma separated list of fields. For example: "name, created_at" Available columns: created_at, decision Example: `` |
Responses
200 OK
A successful response.
Body
application/json
{
"reviewers": [
{
"user": {
"id": "example",
"slug": "example"
},
"review_decision": "approve",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-01T00:00:00Z"
}
],
"next_page_token": "example"
}
|
Name |
Description |
|
next_page_token |
Type: string A token, which can be sent as Example: |
|
reviewers |
Type: PRReviewer[] Example
|
UserEmbedded
|
Name |
Description |
|
id |
Type: string Example: |
|
slug |
Type: string Example: |
Example
{
"id": "example",
"slug": "example"
}
ReviewDecision
Type: string
Enum: approve, trust, block, abstain
PRReviewer
|
Name |
Description |
|
created_at |
Type: string<date-time> Example: |
|
review_decision |
Type: ReviewDecision Enum: |
|
updated_at |
Type: string<date-time> Example: |
|
user |
Type: UserEmbedded Example
|
Example
{
"user": {
"id": "example",
"slug": "example"
},
"review_decision": "approve",
"created_at": "2025-01-01T00:00:00Z",
"updated_at": "2025-01-01T00:00:00Z"
}
default
Both Client Errors (4xx) and Server Errors (5xx) are serialized into this scheme
Body
application/json
{
"error_code": "example",
"message": "example",
"request_id": "example",
"details": {}
}
|
Name |
Description |
||
|
details |
Type: Optional details. Exact structure depends on error_code
Example
|
||
|
error_code |
Type: string Example: |
||
|
message |
Type: string Example: |
||
|
request_id |
Type: string Example: |